Bug 90477 - Bullets and numbering dialog Tabbing order should not have Default button after the last input field
Summary: Bullets and numbering dialog Tabbing order should not have Default button aft...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2015-04-06 11:19 UTC by Marek
Modified: 2020-05-28 03:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek 2015-04-06 11:19:58 UTC
While switching with TAB key between different fields of Bullets and Numbering > Position dialogue and entering new values for indents and so on the entered value is not recognised until you switch to another field of that box. This would be a minor flaw but when you enter the last value and hit the TAB key the cursor goes to “Default” button and hitting the ENTER key to confirm the new values and close the dialogue sets back the indent values to the default. The solution would be to hit TAB+SHIFT keys instead TAB key only (which is less convenient and obvious). However it would be desired to redesign the dialogue to prevent the cursor to jump to the “Default” button right after the last indent value was set.
Comment 1 Buovjaga 2015-04-10 15:43:53 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI
Comment 2 Robinson Tryon (qubit) 2015-12-13 11:21:36 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2019-10-22 16:43:40 UTC
This only seems to be the case on Windows. Linux puts the focus on something unseen and when you hit Enter, it hits OK.
Comment 4 Heiko Tietze 2019-10-29 10:59:58 UTC
The tab itself is part of the tab sequence and after Cancel you can use left/right to go to Image/Customize. But the issue is about tab after "Indent at" that goes to Default. What I cannot understand is why input shouldn't be accepted unless you change the focus. At least for me it works (eg. Aligned at: .5 -> Enter and the dialog closes).
Comment 5 QA Administrators 2020-04-27 03:42:05 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2020-05-28 03:43:26 UTC
Dear Marek,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp